package com.clarifyall.rest.controller;

import org.springframework.web.bind.annotation.GetMapping;
import org.springframework.web.bind.annotation.RequestMapping;
import org.springframework.web.bind.annotation.RestController;

import com.clarifyall.rest.model.UserBean;
import com.fasterxml.jackson.core.JsonProcessingException;
import com.fasterxml.jackson.databind.ObjectMapper;
import com.fasterxml.jackson.databind.ObjectWriter;

@RestController
@RequestMapping(path = "/rest")
public class JavaToJsonController 
{
    
    @GetMapping(path="/", produces = "application/json")
    public String welcome() 
    {
        return "Welcome To Clarifyall.com";
    }
    
    
    @GetMapping(path="/getJson", produces = "application/json")
    public String getjson() throws JsonProcessingException 
    {
    	UserBean userBean=prepareUserBean();
		ObjectWriter ow = new ObjectMapper().writer();
		String json = ow.writeValueAsString(userBean);
		return json;
    }
    
    public UserBean prepareUserBean() {
    	UserBean userBean = new UserBean();
		userBean.setUserName("clarifyall.com");
		userBean.setAddress("AP");
		userBean.setEmail("admin@clarifyall.com");
		userBean.setPhoneNo("+91 9678554455");
		return userBean;
    	
    }
    
    
    
   
}
